org.restlet.engine.io

## Class IoUtils

- java.lang.Object
- - org.restlet.engine.io.IoUtils

    public class IoUtils
    extends java.lang.Object

IO manipulation utilities.

Author:
  Thierry Boileau

### Field Summary

Fields
`static int` `BUFFER_SIZE` The buffer size.

### Method Summary

Methods
`static int` `getBufferSize()` Returns the size to use when instantiating buffered items such as instances of the `BufferedReader` class.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### BUFFER_SIZE

    public static final int BUFFER_SIZE

The buffer size.

See Also:
  Constant Field Values

### Method Detail

#### getBufferSize

    public static int getBufferSize()

Returns the size to use when instantiating buffered items such as instances of the `BufferedReader` class. It looks for the System property "org.restlet.engine.io.buffer.size" and if not defined, uses the `BUFFER_SIZE`.

Returns:
  The size to use when instantiating buffered items.